Anonymous Login
2019-12-07 13:29 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001269v3.2 ReleaseCore Infrastructurepublic2014-07-16 21:30
Reporterscotts 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target Version3.2Fixed in Version3.2 
Summary0001269: queuescanner won't work when files are present
Descriptionqueuescanner sends email messages showing errors whenever any file has been uploaded. No problem when no file exists. When a file is present, it looks like queuescanner tries to execute that file. For example,

If I upload "tryme.txt", with the contents:
elephant
canary
quit


The following results:
scott@brahe:/var/log$ php /var/www/secure/scottprojects/queuescanner.php
sh: elephant: not found
sh: canary: not found
sh: quit: not found



TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002822

scotts (reporter)

removing u and g execute priv on files directory does nothing. Removing o execute priv changes the error message (directory name edited):



scott@brahe:/var/www/secure/xxxxxxx$ sudo chmod o-x files
scott@brahe:/var/www/secure/xxxxxxx$ php /var/www/secure/xxxxxx/queuescanner.php
PHP Warning: fopen(/var/www/secure/xxxxxx/files/0/1625196093513394049976d): failed to open stream: Permission denied in /var/www/secure/xxxxxxxx/modules/files/files.class.php on line 373
PHP Warning: fread() expects parameter 1 to be resource, boolean given in /var/www/secure/xxxxxx/modules/files/files.class.php on line 374
PHP Warning: fclose() expects parameter 1 to be resource, boolean given in /var/www/secure/xxxxxxx/modules/files/files.class.php on line 375
/usr/bin/strings: Warning: could not locate '/var/www/secure/scottprojects/files/0/1625196093513394049976d'. reason: Permission denied
PHP Warning: opendir(/var/www/secure/scottprojects/files/temp): failed to open dir: Permission denied in /var/www/secure/xxxxxxx/modules/reports/reports.class.php on line 31

~0003119

caseydk (administrator)

Are you seeing this under the more recent development version?

~0003444

caseydk (administrator)

Resolved in development:
https://github.com/web2project/web2project/commit/c1852d8863abc7a0802763627b6dd520447b58d8
+Notes

-Issue History
Date Modified Username Field Change
2013-03-03 09:28 scotts New Issue
2013-03-03 09:35 scotts Note Added: 0002822
2013-03-04 21:07 caseydk Project v2.4 Release (Closed) => Pending Requests
2013-07-20 21:56 caseydk Project Pending Requests => v3.1 Release
2013-12-06 22:30 caseydk Note Added: 0003119
2013-12-06 22:30 caseydk Status new => feedback
2013-12-10 23:01 caseydk Project v3.1 Release => Pending Requests
2014-04-05 17:33 caseydk Category General => Core Infrastructure
2014-04-05 17:33 caseydk Product Version 2.4 =>
2014-06-11 18:27 caseydk Project Pending Requests => v3.2 Release
2014-06-11 18:28 caseydk Note Added: 0003444
2014-06-11 18:28 caseydk Status feedback => resolved
2014-06-11 18:28 caseydk Fixed in Version => 3.2
2014-06-11 18:28 caseydk Resolution open => fixed
2014-06-11 18:28 caseydk Assigned To => caseydk
2014-06-12 07:25 caseydk Target Version => 3.2
2014-07-16 21:30 caseydk Status resolved => closed
+Issue History